/* Popup */
.popup-wrapper {
    opacity: 0;
    visibility: hidden;
    justify-content: center;
    position: fixed;
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
    z-index: 9999;
    background-color: #FAFAFA80;
    grid-template-rows: 1fr auto 1fr;
    overflow-y: auto;
    transition: opacity 0.4s ease, visibility 0.4s ease;
}

.popup-wrapper.visible {
    opacity: 1;
    visibility: visible;
}

.popup-outer {
    grid-area: 2/4/span 1/span 8;
    grid-template-columns: repeat(2, 1fr);
    position: relative;
    width: 100%;
    overflow-x: hidden;
    overflow-y: auto;
    height: fit-content;
    margin: var(--m-md) 0;
}

.popup-outer .popup-content {
    row-gap: var(--m-xs);
    padding: var(--m-sm);
}

.popup-outer .popup-close {
    display: block;
    width: max(20px, 0.9375vw);
    height: max(20px, 0.9375vw);
    position: absolute;
    top: var(--m-xs);
    right: var(--m-xs);
    mask: url(../../img/icon-close.svg) no-repeat center/contain;
    -webkit-mask: url(../../img/icon-close.svg) no-repeat center/contain;
    background: currentColor;
    cursor: pointer;
    transition: var(--def-trans);
}

.popup-outer .popup-close:hover {
    transform: scale(1.1);
}

@media (max-width: 1499.98px) {
    .popup-outer {
        grid-area: 2/3/span 1/span 10;
    }
}

@media (max-width: 1199.98px) {
    .popup-outer {
        grid-area: 2/2/span 1/span 12;
    }
}

@media (max-width: 991.98px) {
    .popup-outer {
        grid-area: 2/4/span 1/span 8;
        grid-template-columns: 1fr;
    }

    .popup-outer .img-container {
        aspect-ratio: 2/1;
    }

    .popup-outer .popup-content {
        padding: var(--m-md) var(--m-sm);
    }

    .popup-outer .popup-close {
        grid-row: 2/span 1;
    }
}

@media (max-width: 767.98px) {
    .popup-outer {
        grid-area: 2/3/span 1/span 10;
    }
}

@media (max-width: 575.98px) {
    .popup-outer {
        grid-area: 2/2/span 1/span 12;
    }
}